%define upstream_name    Linux-Personality
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to the personality(2) Linux system call
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This is a Perl interface to the personality(2) Linux system call.

You can use this for instance when running 32bit compiles started from
inside a Perl program in a 32bit chroot but running on a 64bit host kernel.
Without hints the compile tools get confused and try do do 64bit in the
32bit environment.

It's somewhat comparable to the 'setarch' (also known as 'linux32')
utility. With 'personality' you can get similar effect inside a Perl
program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 369115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 shlomif <shlomif> 0.10.0-2.mga3
+ Revision: 309953
- Updated description

* Wed Oct 24 2012 shlomif <shlomif> 0.10.0-1.mga3
+ Revision: 309792
- imported package perl-Linux-Personality

